# function config is taken as is from Slackware

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
    rm $NEW
  fi
}

for file in etc/slackfire/*.new ; do
  config $file
done
for file in etc/slackfire/ext/*.new ; do
  config $file
done
for file in etc/slackfire/int/*.new ; do
  config $file
done
for file in etc/slackfire/fwd/*.new ; do
  config $file
done

# Make a soft link in /etc/rc.d if this doesn't overwrite a file
if [ ! -f /etc/rc.d/rc.firewall ]; then
  ln -s /usr/sbin/slackfire /etc/rc.d/rc.firewall
fi
